#
# function to fix forecasts
#
AffRev <- function(x){
  # affirm = 1
  # reverse = 0
  AR.mat <- cbind(x$docket, NA, NA, NA, NA, NA, NA, NA,
                  NA, NA, NA, NA, NA)
  colnames(AR.mat) <- c("docket", "rehnaff", "stevaff", "oconaff",
                        "scalaff", "kenaff", "soutaff", "thomaff",
                        "ginaff", "bryaff", "Naff", "Nrev", "courtaff")

  # vote variables are 0=liberal / 1=conservative
  # lctdir is 0=conservative / 1=liberal
  # if they are different, implies affirm
  AR.mat[,2] <- x$lctdir != x$rehnpred
  AR.mat[,3] <- x$lctdir != x$stevpred
  AR.mat[,4] <- x$lctdir != x$oconpred
  AR.mat[,5] <- x$lctdir != x$scalpred
  AR.mat[,6] <- x$lctdir != x$kenpred
  AR.mat[,7] <- x$lctdir != x$soutpred
  AR.mat[,8] <- x$lctdir != x$thompred
  AR.mat[,9] <- x$lctdir != x$ginpred
  AR.mat[,10] <- x$lctdir != x$brypred
  AR.mat[,11] <- apply(AR.mat[,2:10], 1, sum)
  AR.mat[,12] <- 9 - AR.mat[,11]
  AR.mat[,13] <- x$lctdir != x$cDirPred

  AR.mat <- as.data.frame(AR.mat)
  AR.mat$docket <- x$docket

  return(AR.mat)
}


#
# generate october forecasts
#
source("../done.R")
november <- implementModel(train="../fcast0930.csv",
test="november.csv")

forecasts <- AffRev(november)
options(width=120)
print(forecasts)

